package com.bonus.sgzb.base.domain.vo;

import com.bonus.sgzb.base.domain.MaHouse;
import com.bonus.sgzb.base.api.domain.MaType;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;
import java.util.List;
import java.util.stream.Collectors;

/**
 * Treeselect树结构实体类
 * 
 * @author ruoyi
 */
public class TreeSelect implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 节点ID */
    private Long id;

    /** 节点名称 */
    private String label;

    /** 子节点 */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<TreeSelect> children;

    public TreeSelect()
    {

    }

    public TreeSelect(MaHouse maHouse)
    {
        this.id = maHouse.getDeptId();
        this.label = maHouse.getHouseName();
        this.children = maHouse.getChildren().stream().map(TreeSelect::new).collect(Collectors.toList());
    }

    public TreeSelect(MaType maType)
    {
        this.id = maType.getTypeId();
        this.label = maType.getTypeName();
        this.children = maType.getChildren().stream().map(TreeSelect::new).collect(Collectors.toList());
    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel(String label)
    {
        this.label = label;
    }

    public List<TreeSelect> getChildren()
    {
        return children;
    }

    public void setChildren(List<TreeSelect> children)
    {
        this.children = children;
    }
}
